Bug 632100 - qemu guests autostart problem after upgrading libvirtd
qemu guests autostart problem after upgrading libvirtd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-09 03:26 EDT by Max Krasilnikov
Modified: 2012-06-06 20:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 675319 (view as bug list)
Environment:
Last Closed: 2012-06-06 20:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Ensure autostart flag is set correctly even on running domains (1.11 KB, text/plain)
2011-05-16 02:28 EDT, Michael Chapman
no flags Details

  None (edit)
Description Max Krasilnikov 2010-09-09 03:26:08 EDT
Description of problem:

After upgrading from Fedora 12 to Fedora 13qemu domains is not marked as autostarted.

Version-Release number of selected component (if applicable):
libvirt-0.8.2-1.fc13.x86_64
qemu-system-x86-0.12.5-1.fc13.x86_64

How reproducible:
Upgrade working Fedora 12 system with libvirt/qemu guests marked as autostart.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

lrwxrwxrwx 1 root root 27 Aug  4 15:35 /etc/libvirt/qemu/autostart/tecom.xml -> /etc/libvirt/qemu/tecom.xml

[root@xen005 ~]# virsh dominfo tecom
Id:             3
Name:           tecom
UUID:           c5f94da4-46d7-c645-8273-a2bdbd5a4327
OS Type:        hvm
State:          running
CPU(s):         1
CPU time:       80038.1s
Max memory:     262144 kB
Used memory:    262144 kB
Persistent:     yes
Autostart:      disable

[root@xen005 ~]# virsh autostart tecom
error: Failed to mark domain tecom as autostarted
error: Failed to create symlink '/etc/libvirt/qemu/autostart/tecom.xml to '/etc/libvirt/qemu/tecom.xml': File exists

Expected results:
Autostart:      enable

Additional info:
Comment 1 Joe Julian 2011-02-04 16:26:03 EST
I had the same error with libvirt-0.8.2-15.el5_6.1

Removing the symlinks from /etc/libvirt/qemu/autostart allowed me to run "virsh autostart {dom}" successfully though.

Subsequent calls of that command are also still successful. I was not able to determine what caused autostart to be considered disabled.
Comment 2 Michael Chapman 2011-05-16 02:28:46 EDT
Created attachment 499083 [details]
Ensure autostart flag is set correctly even on running domains

The QEMU driver loads the configs for the running domains out of the state directory, followed by the configs for the (presumably inactive) domains in the config directory. Only the latter step can set the domain's autostart flag. The problem is that domains that have been defined are completely skipped in this step.

This patch ensures that the autostart flag is set when loading configs from the config directory even when the domain is already defined. It's based against the current Fedora libvirt package (0.8.3-9.fc14) but should apply cleanly to a range of libvirt packages. I have tested it back to 0.8.1.
Comment 3 Bug Zapper 2011-05-31 10:02:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Chapman 2011-06-01 10:14:44 EDT
This bug is still present in the most recent Fedora 14 libvirt release, 0.8.3-9.fc14. It even looks like it's still a problem in the most recent rawhide version, 0.9.1-3.fc16, though I have not actually tested that particular version to be sure.

Please do not close this bug just because Fedora 13 will soon be end of life.
Comment 5 Cole Robinson 2011-06-10 14:12:03 EDT
Sorry Michael, that was from auto bugzilla spam.

Thanks very much for the patch, it looks good! It still applies to upstream code, so moving this bug to F15.

Since libvirt patch review generally doesn't take place in bugzilla, can you send this patch to libvirt-list@redhat.com with [PATCH] in the subject? If you'd prefer I can forward it on your behalf. Thanks again
Comment 6 Fedora Admin XMLRPC Client 2011-09-22 13:53:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:57:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:05:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:05:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 15:09:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 15:09:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Cole Robinson 2012-06-06 20:07:52 EDT
Michael did got this patch committed upstream:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=30697181dc1146133181a0477858236a8d4e077a

But I never followed up :( F15 is EOL very soon, but this is fixed in F16, so just closing as WONTFIX. Sorry for the inaction

Note You need to log in before you can comment on or make changes to this bug.